summaryrefslogtreecommitdiff
path: root/debian/prerm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/prerm')
-rw-r--r--debian/prerm34
1 files changed, 34 insertions, 0 deletions
diff --git a/debian/prerm b/debian/prerm
new file mode 100644
index 0000000..b888ef8
--- /dev/null
+++ b/debian/prerm
@@ -0,0 +1,34 @@
+#!/bin/sh
+# Copyright 2004 Alberto Gonzalez Iniesta <agi@agi.as>
+# Licensed under the GNU General Public License, version 2. See the file
+# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
+#
+
+set -e
+test $DEBIAN_SCRIPT_DEBUG && set -v -x
+
+stop_vpn () {
+ if [ -x "/etc/init.d/openvpn" ]; then
+ if [ -x /usr/sbin/invoke-rc.d ] ; then
+ invoke-rc.d openvpn stop
+ else
+ /etc/init.d/openvpn stop
+ fi
+ fi
+}
+
+
+case "$1" in
+ upgrade)
+ # don't stop the vpn, it will be restarted after the upgrade
+ true
+ ;;
+ *)
+ stop_vpn
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+# vim:set ai et sts=2 sw=2 tw=0: